Skip to content
Assets

Get Estimated Exchange Completion Time

Queries the estimated completion time of an exchange submitted now for the specified currency pair. Used on the currency exchange page and the exchange result page to display “Expected to complete by xx”.

GEThttps://api.lbkrs.com/v1/forex/service_expected_time

Parameters

currencystringquery

Exchange currency pair in the format “target currency/source currency”. For example, pass HKD/USD when exchanging USD for HKD

account_channelstringquery

Broker channel

Responses

HTTP 200The request succeeded. The response body contains the result of the “Get estimated exchange completion time” operation.
Standard response envelopecodemessagedata
dataobjectdata structure
expected_timestring

Estimated completion time, as a Unix timestamp (in seconds). Broker App does not display it when it is empty or not greater than 0

expected_msgstring

Display text for the estimated completion time, returned only for some Broker channels (for example, “Instant, please check fund records”). When it is not empty, Broker App displays this text first

Whale Docs